Prev Top Next

Name
KXL_ClearFrameImm
Synopsis

    KXL_ClearFrameImm -- Rectangles with an arbitrary frame are cleared.
    It clears by the color set up by KXL_SetDrawColor.

Description

    void KXL_ClearFrameImm(Sint16 left, Sint16 top, Uint16 width, Uint16 height);

Arguments

left | Left position of a frame.
top | Top position of a frame.
width | Width of a frame.
height | Height of a frame.

Return Value
Nothing.
Exsample

    #include <KXL.h>

    int main(void)
    {
      KXL_CreateWindow(100, 100, "sample", 0);
      KXL_SetDrawColor(0xff, 0x00, 0x00);
      KXL_DrawRectangle(30, 30, 30, 30, True);
      KXL_UpDateImm(0, 0, 100, 100);
      getchar();
      KXL_ClearFrameImm(0, 0, 100, 100);
      KXL_UpDateImm(0, 0, 100, 100);
      getchar();
      KXL_DeleteWindow();
      return 0;
    }